org.apache.solr.client.solrj.io.comp

## Class StreamComparator

- java.lang.Object
- - org.apache.solr.client.solrj.io.comp.StreamComparator

All Implemented Interfaces:
  Serializable, Comparator<Tuple>

Direct Known Subclasses:
  FieldComparator

    public abstract class StreamComparator
    extends Object
    implements Comparator<Tuple>, Serializable

Defines a comparator that can be expressed in an expression

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `leftField`
`protected ComparatorOrder` `order`
`protected String` `rightField`

### Constructor Summary

Constructors
Constructor and Description
`StreamComparator(String field, ComparatorOrder order)`
`StreamComparator(String leftField, String rightField, ComparatorOrder order)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, equals`

### Field Detail

#### leftField

    protected String leftField

#### rightField

    protected String rightField

#### order

    protected final ComparatorOrder order

### Constructor Detail

#### StreamComparator

    public StreamComparator(String field,
                    ComparatorOrder order)

#### StreamComparator

    public StreamComparator(String leftField,
                    String rightField,
                    ComparatorOrder order)